/* location.css 
	Location view and Maps styles
	Aug 2026 by CuR
*/

/* || Location content grid */

.location-content-grid {
	display: grid;
	grid-template-columns:
		repeat(auto-fit, minmax(min(25rem, 100%), 1fr));
	gap: 3.5rem 2.5rem;
}

.location-info .base-paragraph {
	padding-block: 1rem;
	padding-inline: .75rem;

	border: 1px solid var(--border-color);
	border-radius: var(--border-radius);
}

.location-maps {
	--stack-gap: 1.5rem;
}

.location-maps__title {
	margin-bottom: .375rem;
}


/* || Map list */

.map-list {
	/*display: flex;*/
	/*flex-direction: column;*/
	/*gap: .75rem;*/

	display: grid;
	grid-template-columns:
		repeat(auto-fill, minmax(min(18rem, 100%), 1fr));
	gap: .75rem;	
}


/* || Map card */

.map-card {
	display: grid;
	grid-template-columns: 3.5rem 1fr;
	gap: 1rem;

	padding: .75rem;

	border: 1px solid var(--border-color);
	border-radius: var(--border-radius-lg);
	background: var(--clr-surface-elevated);
}

.map-card__media {
	width: 100%;
	aspect-ratio: 4 / 3;
	overflow: hidden;

	border-radius: var(--border-radius);
	background: var(--clr-surface-subtle);
}

.map-card__thumb {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.map-card__content {
	display: flex;
	flex-direction: column;
	gap: .125rem;
	min-width: 0;
}

.map-card__title {
	font-size: var(--fs-base);
	font-weight: var(--fw-bolder);
	color: var(--clr-text);
}

.map-card__directions {
	font-size: var(--fs-small);
	color: var(--clr-text-soft);
}

.map-card__icon {
	color: var(--clr-text-accent);
	font-size: var(--fs-base);
}


/* || Map dialog */

.map-dialog {
	width: min(50rem, calc(100vw - 2rem));
	padding: 0;

	border: 0;
	border-radius: var(--border-radius-lg);

	background: var(--clr-surface-elevated);
	color: var(--clr-text);

	box-shadow: var(--shadow-dialog);

	overflow: hidden;
}

.map-dialog__inner {
	display: flex;
	flex-direction: column;
}

.map-dialog__heading {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 1rem;

	padding: .875rem 1rem;
	border-bottom: 1px solid var(--border-color);
}

.map-dialog__media {
	width: 100%;
	aspect-ratio: 16 / 9;

	background: var(--clr-surface-subtle);
	overflow: hidden;
}

.map-dialog__media iframe,
.map-dialog__media img {
	display: block;
	width: 100%;
	height: 100%;
	border: 0;
}

.map-dialog__media img {
	object-fit: contain;
}

.map-dialog__directions {
	padding: 1rem;
}